Bug 134027 - Second and later boot spew an error
Second and later boot spew an error
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks: FC3Target
  Show dependency treegraph
 
Reported: 2004-09-28 21:32 EDT by Alan Cox
Modified: 2014-03-16 22:48 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-22 08:33:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alan Cox 2004-09-28 21:32:01 EDT
On the first boot I get

/dev/initctl: Permission denied
/usr/sbin/setfiiles; unable to relabel /dev/initctl ...
/dev/.udev.tdb: Permission deined
/usr/sbin/setfiles: unable to relabel /dev/.udev.tdb ...

Later boots repeat this but before that I also get

audit: avc defined {associate } for pid 510 exe=/sbin/restorecon
name=initctl dev=tmpfs ino=2620 scontext=system_u:object_r:initctl_t
tcontext=system_u:object_r:tmpfs_t tclass=filesystem

Generic workstation install
Comment 1 Bill Nottingham 2004-09-28 22:03:16 EDT
Is this the shipped-with-test2 kernel, or an updated one?
Comment 2 Alan Cox 2004-09-28 22:05:17 EDT
As shipped - should I retest with an updated kernel ?
Comment 3 Bill Nottingham 2004-09-28 22:08:44 EDT
No, one of the updated kernels lost the xattr-on-tmpfs which *would*
cause the error.
Comment 4 Bill Nottingham 2004-10-11 16:39:43 EDT
Please try and reproduce on test3; I'm not seeing this in testing here.
Comment 5 Alan Cox 2004-10-22 08:32:35 EDT
Seems fixed now

Note You need to log in before you can comment on or make changes to this bug.